Create Sandbox from Sandbox

  • POST
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions

Creates a new Create Sandbox from Sandbox action in the pipeline

Request

REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

POST PARAMETERS
typerequiredstring enum
The type of the action
Allowed enum:
SANDBOX_CREATE_FROM_SANDBOX
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
after_action_idinteger
The numerical ID of the action, after which this action should be added
namerequiredstring
The name of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
loopstring[]
The list of commands that will be executed in a loop
current_revisionstring
The git revision of the last successful run of the action
permissionsPermissionsView
Access permissions configuration
sandbox_idstring
The ID of the sandbox
sandbox_referencesstring[]
The set of sandbox reference types

Constraints: Unique items required

sandbox_project_idinteger
The ID of the sandbox project
sandbox_project_namestring
The name of the sandbox project
tagsstring[]
The set of tags for the sandbox

Constraints: Unique items required

referenced_sandbox_namestring
The name of the referenced sandbox
daysinteger
The number of days for sandbox retention
referenced_action_idinteger
The ID of the referenced action
referenced_action_namestring
The name of the referenced action
sandbox_namestring
The name of the sandbox
snapshot_namestring
The name of the snapshot
snapshot_idstring
The ID of the snapshot
sandbox_distributionstring
The distribution used for the sandbox
resourcesstring enum
The resource allocation for the sandbox
Allowed enum:
1x2,
2x4,
3x6,
4x8,
5x10,
6x12,
7x14,
8x16,
9x18,
10x20,
11x22,
12x24,
CUSTOM
return_existingboolean
If set to true, an existing sandbox will be returned

Response

RESPONSE BODY
typestring enum
The type of the action
Allowed enum:
SANDBOX_CREATE_FROM_SANDBOX
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the action
namestring
The name of the action
current_revisionstring
The git revision of the last successful run of the action
trigger_timestring enum
Specifies when the action should be executed
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE
trigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggered
run_nextstring enum
Defines whether the action should run in parallel with the next one
Allowed enum:
WAIT_ON_SUCCESS,
IN_SOFT_PARALLEL,
IN_HARD_PARALLEL
run_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILURE
variablesEnvironmentVariableView[]
The list of variables you can use the action
disabledboolean
When set to true the action is disabled. By default it is set to false
timeoutinteger
The timeout in seconds
ignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actions
retry_countinteger
Number of retries if the action fails
retry_intervalinteger
Delay time between auto retries in seconds
last_execution_statusstring enum
The status of the last run of the action
Allowed enum:
INPROGRESS,
ENQUEUED,
TERMINATED,
SUCCESSFUL,
FAILED,
INITIAL,
NOT_EXECUTED,
SKIPPED,
TERMINATING,
WAITING_FOR_APPLY,
WAITING_FOR_VARIABLES,
WAITING_FOR_SETTABLE_VARIABLES,
WAITING_FOR_VT_SESSION
pipelineShortPipelineView
Short representation of a pipeline
permissionsPermissionsView
Access permissions configuration
loopstring[]
The list of commands that will be executed in a loop
sandbox_idstring
The ID of the sandbox
sandbox_referencesstring[]
The set of sandbox reference types

Constraints: Unique items required

sandbox_project_idinteger
The ID of the sandbox project
sandbox_project_namestring
The name of the sandbox project
tagsstring[]
The set of tags for the sandbox

Constraints: Unique items required

referenced_sandbox_namestring
The name of the referenced sandbox
daysinteger
The number of days for sandbox retention
referenced_action_idinteger
The ID of the referenced action
referenced_action_namestring
The name of the referenced action
sandbox_namestring
The name of the sandbox
snapshot_namestring
The name of the snapshot
snapshot_idstring
The ID of the snapshot
sandbox_distributionstring
The distribution used for the sandbox
resourcesstring enum
The resource allocation for the sandbox
Allowed enum:
1x2,
2x4,
3x6,
4x8,
5x10,
6x12,
7x14,
8x16,
9x18,
10x20,
11x22,
12x24,
CUSTOM
return_existingboolean
If set to true, an existing sandbox will be returned

Last modified on Mar 18, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "staging-clone-001", "type": "SANDBOX_CREATE_FROM_SANDBOX", "trigger_time": "ON_EVERY_EXECUTION", "sandbox_name": "staging-clone-001", "referenced_sandbox_name": "prod-sandbox-001", "sandbox_distribution": "ubuntu:22.04", "resources": "2x4", "return_existing": false, "tags": [ "staging", "clone" ] }'
STATUS
200 OK